Show / Hide Table of Contents

# Struct UI3DModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct UI3DModule

### Fields

| Improve this Doc View Source

#### CharacterObjectInfoCount

##### Declaration

    public int CharacterObjectInfoCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CharacterObjectInfoPointerArray

##### Declaration

    public byte *CharacterObjectInfoPointerArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### MapObjectInfoCount

##### Declaration

    public int MapObjectInfoCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MapObjectInfoPointerArray

##### Declaration

    public byte *MapObjectInfoPointerArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### MemberInfoArray

##### Declaration

    public byte *MemberInfoArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### MemberInfoCount

##### Declaration

    public int MemberInfoCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MemberInfoPointerArray

##### Declaration

    public byte *MemberInfoPointerArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### NamePlateObjectIdList

##### Declaration

    public byte *NamePlateObjectIdList

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### NamePlateObjectIdList_2

##### Declaration

    public byte *NamePlateObjectIdList_2

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### NamePlateObjectInfoCount

##### Declaration

    public int NamePlateObjectInfoCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### NamePlateObjectInfoPointerArray

##### Declaration

    public byte *NamePlateObjectInfoPointerArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### ObjectInfoArray

##### Declaration

    public byte *ObjectInfoArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### SortedObjectInfoCount

##### Declaration

    public int SortedObjectInfoCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SortedObjectInfoPointerArray

##### Declaration

    public byte *SortedObjectInfoPointerArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### TargetObjectInfo

##### Declaration

    public UI3DModule.ObjectInfo*TargetObjectInfo

##### Field Value

Type | Description
--- | ---
UI3DModule.ObjectInfo* |

| Improve this Doc View Source

#### UIModule

##### Declaration

    public UIModule*UIModule

##### Field Value

Type | Description
--- | ---
UIModule* |

| Improve this Doc View Source

#### UnkCount

##### Declaration

    public int UnkCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### UnkInfoArray

##### Declaration

    public byte *UnkInfoArray

##### Field Value

Type | Description
--- | ---
System.Byte* |